> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Order Extra Field Configs

GET https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields

Returns a list of available extra fields configurations for B2B orders.

We recommend caching the response results to avoid frequent API requests.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/orders/get-orders-extra-fields

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Query parameters

- `limit` (integer, optional, default: 10) — Determines the number of records to return per page. If left blank, this defaults to `10`.
- `offset` (integer, optional, default: 0) — The number of results to skip before returning the first result. If left blank, this defaults to `0`.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `data` (list of orderExtraFields, optional)
- `meta` (meta_full, optional)

## Types

### orderExtraFields

An extra field configuration for B2B orders.

- `id` (integer, optional) — The unique numeric ID for the extra field.
- `uuid` (string, optional) — UUID of the extra field assigned by B2B Edition.
- `fieldName` (string, optional) — The name of the extra field.
- `labelName` (string, optional) — The label shown for the extra field. Defaults to `fieldName`.
- `fieldType` (enum, optional) — The data type allowed by the extra field. The supported types are text (`0`), multiline text (`1`), number (`2`), and dropdown (`3`).
  - Allowed values: `0`, `1`, `2`, `3`
- `isRequired` (boolean, optional) — Indicates whether the extra field requires a value.
- `isUnique` (boolean, optional) — Indicates whether the extra field's value must be unique when present.
- `visibleToEnduser` (boolean, optional) — Indicates whether the extra field is visible on the storefront.
- `configType` (enum, optional) — Indicates whether the extra field is built in (`1`) or user defined (`2`).
  - Allowed values: `1`, `2`
- `defaultValue` (string, optional) — The default value the extra field takes, if it exists.
- `maximumLength` (string, optional) — The maximum character length for text extra fields. Only present when `fieldType` is `0`.
- `numberOfRows` (string, optional) — The maximum number of rows for multiline text extra fields. Only present when `fieldType` is `1`.
- `maximumValue` (string, optional) — The maximum value of number extra fields. Only present when `fieldType` is `2`.
- `listOfValue` (list of string, optional) — The list of values for dropdown extra fields. Only present when `fieldType` is `3`.

### meta_full

- `pagination` (MetaFullPagination, optional)
- `message` (string, optional, default: SUCCESS)

### MetaFullPagination

- `totalCount` (integer, optional) — The total number of records available.
- `limit` (integer, optional) — The number of records returned per page.
- `offset` (integer, optional) — The number of records skipped before returning the first record.

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "id": 9798,
      "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "fieldName": "Fintech ID",
      "labelName": "Fintech ID",
      "fieldType": 0,
      "isRequired": true,
      "isUnique": false,
      "visibleToEnduser": true,
      "configType": 2,
      "defaultValue": "",
      "maximumLength": "100"
    },
    {
      "id": 9799,
      "uuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "fieldName": "Industry",
      "labelName": "Industry",
      "fieldType": 3,
      "isRequired": false,
      "isUnique": false,
      "visibleToEnduser": true,
      "configType": 2,
      "defaultValue": "Retail",
      "listOfValue": [
        "Retail",
        "Automotive",
        "Manufacturing"
      ]
    }
  ],
  "meta": {
    "pagination": {
      "totalCount": 2,
      "limit": 10,
      "offset": 0
    },
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Orders_get-orders-extra-fields_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields"

querystring = {"limit":"15","offset":"5"}

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Orders_get-orders-extra-fields_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields?limit=15&offset=5';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Orders_get-orders-extra-fields_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields?limit=15&offset=5"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Orders_get-orders-extra-fields_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields?limit=15&offset=5")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Orders_get-orders-extra-fields_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields?limit=15&offset=5")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Orders_get-orders-extra-fields_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields?limit=15&offset=5', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Orders_get-orders-extra-fields_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields?limit=15&offset=5");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Orders_get-orders-extra-fields_example
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/orders/extra-fields?limit=15&offset=5")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```